skimemo


skimemo - 日記/2020-04-16/duskを実行しようとしたらChromeのバージョンでエラーが出るときの対処法 の変更点


#blog2navi()
*duskを実行しようとしたらChromeのバージョンでエラーが出るときの対処法 [#f4b7044c]

** 概要 [#jecd8a59]
Laravel6.xでduskのテストを実行しようとしたら「Facebook\WebDriver\Exception\SessionNotCreatedException: session not created: Chrome version must be between 70 and 73」というエラーが出たので対処した。

** 解決方法 [#l157a4f3]
+ Chrome Driverのダウンロード~
以下のページからお好きなバージョンをダウンロードします。
以下のページからお好きなバージョンをダウンロードします。~
http://chromedriver.chromium.org/downloads~
zipを解凍し、&inlinecode{vendor\laravel\dusk\bin};にコピー。~
zipを解凍し、&inlinecode{vendor\laravel\dusk\bin}; にコピー。~
~
+ duskへのバージョンの設定
以下のコマンドでduskへChromeのバージョンを設定します。
>php artisan dusk 81
 php artisan dusk:chrome-driver 81
(Chrome Driverのバージョンが81系の場合)

以上です。

** 参考 [#z5bb351d]
[[Update Chrome driver to support browser v74:https://github.com/laravel/dusk/issues/641]]

#htmlinsert(twitterbutton.html)
RIGHT:Category: [[[Windows>日記/Category/Windows]]] - 09:44:51
----
RIGHT:&blog2trackback();
#comment(above)
#blog2navi()